unable to find installation package xml error after update to joomla 3.8.1

Need help upgrading your Joomla! website or converting to Joomla! 3.x? Please consider the availability of third-party templates and extensions when deciding which Joomla version to use.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
User avatar
Webdongle
Joomla! Master
Joomla! Master
Posts: 33945
Joined: Sat Apr 05, 2008 9:58 pm

Re: unable to find installation package xml error after update to joomla 3.8.1

Postby Webdongle » Sun Oct 22, 2017 9:10 pm

I have tried to replicate your error on localhost. I have tried various php versions ... php7.0.9 fails to find the mysqli driver so there is no database for Joomla install to connect to. So I was not able to test with the php version that you updated with.

Nobody else has reported the same issue it is unique to you. If you want to PM me ftp and Joomla Super User login then I can take a quick look ?

What extensions have you tried installing ?

Illumina
Joomla! Fledgling
Joomla! Fledgling
Posts: 1
Joined: Tue Oct 24, 2017 1:06 pm

Re: unable to find installation package xml error after update to joomla 3.8.1

Postby Illumina » Tue Oct 24, 2017 2:14 pm

Hi i have the same problem 'unable to find installation package xml error'

check the extension of package file '.zip' if the extension includes an uppercase character, the installation fails.

sheerkoshan
Joomla! Apprentice
Joomla! Apprentice
Posts: 11
Joined: Tue Apr 24, 2012 10:56 am

Re: unable to find installation package xml error after update to joomla 3.8.1

Postby sheerkoshan » Fri Oct 27, 2017 7:28 am

Hi there
I have the same problem even with fresh install of 3.8.1 . I checked out all ideas friends said here but no one worked and still the problem remains .

User avatar
toivo
Joomla! Exemplar
Joomla! Exemplar
Posts: 8850
Joined: Thu Feb 15, 2007 5:48 am
Location: Nottingham, UK
Contact:

Re: unable to find installation package xml error after update to joomla 3.8.1

Postby toivo » Fri Oct 27, 2017 7:37 am

Illumina wrote:check the extension of package file '.zip' if the extension includes an uppercase character, the installation fails.
Just confirming that the file extension .zip has to be set in lower case. The actual file name of the package is case insensitive, though.
Toivo Talikka, Global Moderator
my first programs were assembled and run in 16KB :)
http://archive.computerhistory.org/resources/text/GE/GE.GE-115SystemSoftware.1967.102646096.pdf#zoom=100

sheerkoshan
Joomla! Apprentice
Joomla! Apprentice
Posts: 11
Joined: Tue Apr 24, 2012 10:56 am

Re: unable to find installation package xml error after update to joomla 3.8.1

Postby sheerkoshan » Fri Oct 27, 2017 1:48 pm

Hi again .
I tested a new fresh install on another host and no problem was there . So I think the problem refers to some host settings . But which settings do you guess ?

User avatar
Webdongle
Joomla! Master
Joomla! Master
Posts: 33945
Joined: Sat Apr 05, 2008 9:58 pm

Re: unable to find installation package xml error after update to joomla 3.8.1

Postby Webdongle » Fri Oct 27, 2017 3:06 pm

Max. Input Time: 60 | Max. Execution Time: 60
set both to 600

Are the Owner and User Groups the same ? I have seen ownership issues when they have different but the fpa has reported no ownership issues.
Whatever is causing "[20-Oct-2017 22:06:35 Asia/Tehran] PHP Warning: filegroup() has been disabled for security reasons" might be causing your problem. Again I suspect firewall.

As a workaround until you find the error on the server ... Upload the zip to /tmp and install from folder.


btw you have some folders 757 ... they should be 755. If swmenu doesn't work with 755 then you do have an Ownership issue on your server.

User avatar
leolam
Joomla! Master
Joomla! Master
Posts: 18522
Joined: Mon Aug 29, 2005 10:17 am
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
Contact:

Re: unable to find installation package xml error after update to joomla 3.8.1

Postby leolam » Wed Jan 10, 2018 4:45 am

Issue is clear
Open Base: /home3/site:/usr/lib/php:/usr/php4/lib/php:/usr/local/lib/php:/usr/local/php4/lib/php:/tmp
path is wrong since you run PHP7 (and not php4). Also why on earth has this host Open Base enabled? Totally useless when the server is correctly configured.

For others here: Zlib is installed and enabled so no need for other PHP-Zip extensions

Change the permissions as mentioned correctly by Toivo. Folders: "755" and files "644"

So you will need to connect with your host, have the Open Base directory corrected and check files and folder permissions

Also make sure that you have not enabled ftp in global configuration. This should not be enabled in your server setup since that can cause this as well

Leo 8)
Celebrating 12-Years of Professional Joomla Support Services
- Joomla Professional Support:https://gws-desk.com -
- Joomla Specialized Hosting Solutions:https://gws-host.com -
- Member Joomla Bug Squad & J-CMS Release Team


Return to “Migrating and Upgrading to Joomla! 3.x”

Who is online

Users browsing this forum: No registered users and 6 guests